## com.imcode.imcms.api
Class DocumentPermissionSet

    java.lang.Object
      com.imcode.imcms.api.DocumentPermissionSet

    public class DocumentPermissionSet

extends java.lang.Object

Field Summary
`static int` `FULL` Deprecated. Use `DocumentPermissionSetType.FULL`
`static int` `NONE` Deprecated. Use `DocumentPermissionSetType.NONE`
`static int` `READ` Deprecated. Use `DocumentPermissionSetType.READ`
`static int` `RESTRICTED_1` Deprecated. Use `DocumentPermissionSetType.RESTRICTED_1`
`static int` `RESTRICTED_2` Deprecated. Use `DocumentPermissionSetType.RESTRICTED_2`

Constructor Summary
`DocumentPermissionSet(DocumentPermissionSetDomainObject internalDocPermSet)`

Method Summary
`java.lang.String[]` `getEditableTemplateGroupNames()`
`boolean` `getEditDocumentInformationPermission()`
`boolean` `getEditIncludesPermission()`
`boolean` `getEditMenusPermission()`
`boolean` `getEditPicturesPermission()`
`boolean` `getEditRolePermissionsPermission()`
`boolean` `getEditTextsPermission()`
`java.lang.String` `getType()` Deprecated. No replacement, don't use. Will be removed in 4.0 or later.
`void` `setEditDocumentInformationPermission(boolean b)`
`void` `setEditIncludesPermission(boolean b)`
`void` `setEditMenusPermission(boolean b)`
`void` `setEditPermissionsPermission(boolean b)`
`void` `setEditPicturesPermission(boolean b)`
`void` `setEditRolePermissionsPermission(boolean b)`
`void` `setEditTextsPermission(boolean b)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FULL

    public static final int FULL

  Deprecated. Use `DocumentPermissionSetType.FULL`

### RESTRICTED_1

    public static final int RESTRICTED_1

  Deprecated. Use `DocumentPermissionSetType.RESTRICTED_1`

### RESTRICTED_2

    public static final int RESTRICTED_2

  Deprecated. Use `DocumentPermissionSetType.RESTRICTED_2`

### READ

    public static final int READ

  Deprecated. Use `DocumentPermissionSetType.READ`

### NONE

    public static final int NONE

  Deprecated. Use `DocumentPermissionSetType.NONE`

Constructor Detail

### DocumentPermissionSet

    public DocumentPermissionSet(DocumentPermissionSetDomainObject internalDocPermSet)

Method Detail

### getType

    public java.lang.String getType()

  Deprecated. No replacement, don't use. Will be removed in 4.0 or later.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEditDocumentInformationPermission

    public boolean getEditDocumentInformationPermission()

### getEditRolePermissionsPermission

    public boolean getEditRolePermissionsPermission()

### getEditTextsPermission

    public boolean getEditTextsPermission()

### getEditIncludesPermission

    public boolean getEditIncludesPermission()

### getEditPicturesPermission

    public boolean getEditPicturesPermission()

### getEditMenusPermission

    public boolean getEditMenusPermission()

### getEditableTemplateGroupNames

    public java.lang.String[] getEditableTemplateGroupNames()

### setEditDocumentInformationPermission

    public void setEditDocumentInformationPermission(boolean b)

### setEditIncludesPermission

    public void setEditIncludesPermission(boolean b)

### setEditPermissionsPermission

    public void setEditPermissionsPermission(boolean b)

### setEditPicturesPermission

    public void setEditPicturesPermission(boolean b)

### setEditMenusPermission

    public void setEditMenusPermission(boolean b)

### setEditTextsPermission

    public void setEditTextsPermission(boolean b)

### setEditRolePermissionsPermission

    public void setEditRolePermissionsPermission(boolean b)